@echo off
REM Nicht im Emulator ausfuehren
if "%TestIsEmulated%"=="true" goto :EOF

REM Kopiere das SQL Azure Backup Tool an einen bekannten Ort auf der System Festplatte
md "%ProgramFiles%\RedGate\"
copy "%~dp0RedGate.SQLAzureBackupCommandLine.exe" "%ProgramFiles%\RedGate\." >> log.txt 2>> err.txt

REM Erzeuge Backup Skript
echo @"%ProgramFiles%\RedGate\RedGate.SQLAzureBackupCommandLine.exe" /AzureServer:"%SqlAzureServer%" /AzureDatabase:"%SqlAzureDatabase%" /AzureUserName:"%SqlAzureUserName%" /AzurePassword:"%SqlAzurePassword%" /StorageAccount:"%StorageAccount%" /AccessKey:"%StorageAccessKey%" /Container:"%StorageContainer%" /Filename:"CloudBlog-%%date:~-4,4%%%%date:~-10,2%%%%date:~-7,2%%-%%time:~0,2%%%%time:~3,2%%.bacpac" > "%ProgramFiles%\RedGate\RunSqlBackup.cmd"

REM Konfiguriere & Starte den Task Scheduler
sc config Schedule start= auto >> log.txt 2>> err.txt
sc start Schedule >> log.txt 2>> err.txt

REM Dem Task Scheduler etwas Zeit zum Starten geben
TIMEOUT /T 90

REM Warte bis der Task Scheduler gestartet ist
for /F "tokens=3 delims=: " %%H in ('sc query "Schedule" ^| findstr "        STATE"') do (
  if /I "%%H" EQU "RUNNING" (
   REM Fuege das SQL Azure Backup dem Task Scheduler hinzu
   SCHTASKS /Create /SC WEEKLY /D "%ScheduleEvery%" /ST "%ScheduleAt%" /TN SqlAzureBackup /TR '"%ProgramFiles%\RedGate\RunSqlBackup.cmd"' /RU SYSTEM /F /RL HIGHEST >> log.txt 2>> err.txt
  )
)